package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag973;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT973Creator;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.mt9XXAbsCreator.MT973AbsCreator;

import java.util.List;

/**
 * @author hedonghao
 * @date 2023/2/24
 */
public class TagCycleCreator extends AbsTagCreate {

     private MT973Creator mt973Creator;

    public TagCycleCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt973Creator= (MT973Creator) absMTCreator;
    }


    public  void creator()
    {
        List<MT973AbsCreator> tagList=mt973Creator.getCycleDomain();
        for (MT973AbsCreator abs973:tagList) {
            mt973Creator.set("12",abs973.getMessageType());
            mt973Creator.set("25",abs973.getAccIdentifi());
        }


    }
}
